# Jellyfin WOL

Wake up your NAS or another server on your LAN when someone logs into your Jellyfin.

## Installation

Clone or copy the files and place them here:


```
/usr/local/bin/jellyfin_wol.py
/etc/systemd/system/jellyfin-wol.service
```

Create a `.env` at `/etc/jellyfin_wol_environment` with following content:

```
MAC_ADDRESS=1c:1b:0d:99:5c:48
LISTEN_ADDRESS=0.0.0.0
LISTEN_PORT=8092
```

Set the MAC address to the one you want to wake up.

Enable and start the service:

```
systemctl enable jellyfin-wol
systemctl start jellyfin-wol
```

Install the Jellyfin webhook plugin and click **Add Generic Form Destination**. Give ti some name, set the URL to
`http://your-jellyfin:8092`, change the hostname and port as neeed. Make sure **Status** is enabled and
**Notification Type** has "Authentication Success" checked.

Scroll down to **Item Types** and make sure these two options are checked:

- Send All Properties (ignores template)
- Trim leading and trailing whitespace from message body before sending

Hit **Save**, log out and log in again. The magic packet now has been sent.

Check the `mount_nas` script, maybe it could be helpful. I run it as a cron every minute to mount the NFS share after the
NAS becomes online. As a last step I restart the Jellyfin container (the NAS share is mounted via docker volume).
